Bug 88453 - Writer: huge table cell table layout issue
Summary: Writer: huge table cell table layout issue
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.0.6 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-15 10:20 UTC by Andras Timar
Modified: 2018-08-07 10:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (DOC) (520.50 KB, application/msword)
2015-01-15 10:20 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-01-15 10:20:18 UTC
Created attachment 112283 [details]
bugdoc (DOC)

When opening the attached document in LibreOffice Writer, it doesn't show correctly all pages.

In View --> Print layout, I see just 2 pages (first with text and second as blank one), but in fact the document consists from 26 pages of text as shown under MS Office in Windows OS. 

In View --> Web Layout, I see the context of the whole document (as under Windows OS) but still pages are showing 1 which is causing print problem.

Note, that all content is in a huge table cell, and it seems Writer is unable to split it when it does not fit on a page.
Comment 1 Cor Nouws 2015-01-15 20:56:28 UTC
Confirm the problem.

There is an issue (# ...) for the situation where a header has the property 'keep with next' set, that causes a table cell that splits over one page to end at the bottom of page one.
I don't see a heading however, and select all, turning 'keep with next' off, does not change it here.
Ubuntu 32 bits 4.3.5.2

Apart from that, performance is dramatic ..
Comment 2 Mike Kaganski 2015-12-25 11:55:22 UTC
Trying this:
1. Create a new Writer document
2. Table -> Insert Table... -> Columns:1 Rows: 1 -> Insert
3. Table -> Insert Table... -> Columns:1 Rows: 133 -> Insert

In my tests, this specific number (133) is the first that gives the issue. If I use 132, then everything is OK.
I tested with:

Version: 5.0.4.2 (x64)
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: ru-RU (ru_RU)

Version: 5.2.0.0.alpha0+
Build ID: 5e4124396cafc2b0a435f17a66b33e36303ae4e4
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: ru-RU (ru_RU)

Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1~trusty2
Locale: en-US (en_US.UTF-8)

Also, if you create less rows nested table, and then add more (Table->Insert->Rows...), it will behave correctly.
Comment 3 Miklos Vajna 2016-03-23 15:56:48 UTC
Let me first focus on the situation described in comment 2, i.e. not the full bugdoc that has multiple issues.
Comment 4 Commit Notification 2016-03-23 16:38:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4b5dbee1ec7770ed64d7270de46d5cfc06b87b6

tdf#88453 sw layout: fix split of nested tables with large amount of rows

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-03-24 17:41:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4eb82cf9fea5c1df49fad6ee2d91fc51854cd29

tdf#88453 sw layout, nested table split: shrink inner tables as well

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-03-25 12:47:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37b98c7d9a2598143e3c6454aced6a8ee9d2f704&h=libreoffice-5-0

tdf#88453 sw layout: fix split of nested tables with large amount of rows

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-03-25 13:47:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51ead29f8a4ee006d60b91b9a2966a58461c5569&h=libreoffice-5-1

tdf#88453 sw layout: fix split of nested tables with large amount of rows

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.